ISBN are surrounded by nowiki
Closed, ResolvedPublic8 Story Points

Description

Apparently, when you type an ISBN in VE, it's now escaped by nowiki tags instead of being properly kept as simple text (which will then be automatically wikified by then ISBN extension).

Example: https://fr.wikipedia.org/w/index.php?title=Gabber_%28musique%29&curid=341303&diff=118085733&oldid=116065622
It's easily reproduced.

NicoV created this task.Aug 26 2015, 3:15 PM
NicoV added a subscriber: NicoV.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 3:15 PM
cscott added a subscriber: cscott.Aug 26 2015, 3:23 PM

Will be fixed by this week's VE deploy (tomorrow).

cscott closed this task as "Resolved".Aug 26 2015, 3:30 PM
cscott claimed this task.

Related phab tasks, for reference: T109498 T109371 T54204 T107431 T107433 T103364 .

Elitre added a subscriber: Elitre.Nov 13 2015, 5:45 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 13 2015, 5:45 PM
Amire80 reopened this task as "Open".Jan 11 2016, 8:02 PM
Amire80 added a subscriber: Amire80.

This still happens, at least as described in the title.

For example, I typed "Life and Art. London: Paladin. ISBN 0-586-08544-0" in VE, and the wiki syntax output was Life and Art. London: Paladin. <nowiki>ISBN 0-586-08544-0</nowiki>. See https://he.wikipedia.org/wiki/User:Amire80/ISBN

NicoV added a comment.Feb 5 2016, 11:19 AM

Still happening on a lot of edits.
Example: https://fr.wikipedia.org/w/index.php?title=Gabrielle_Althen&curid=1425134&diff=123055986&oldid=116857623

Is there any plan to fix this, the amount of maintenance work to fix the garbage VE is producing on a regular basis is huge...

Jdforrester-WMF closed this task as "Resolved".Feb 5 2016, 5:48 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This still happens, at least as described in the title.

Please do not ever re-open long-dead tasks; no-one will ever see them. My thanks to @NicoV for flagging this issue, which is being followed-up in T117165: Sometimes user-inserted ISBNs don't get converted to magic links somehow, meaning Parsoid has to nowiki them….